require 'mina/bundler'
require 'mina/rails'
require 'mina/git'

set :rails_env, 'production'

set :domain, 'portalmecdev.c3sl.ufpr.br'
set :deploy_to, "/home/portalmec/#{rails_env}"
set :app_path, "#{deploy_to}/#{current_path}"
set :repository, 'git@gitlab.c3sl.ufpr.br:portalmec/portalmec.git'
set :branch, 'master'
set :user, 'portalmec'

task :environment do
end

task deploy: :environment do
  deploy do
    invoke :'git:clone'

    queue %[echo "-----> Installing ruby gems"]
    execute 'bundle install --deployment --without development test'

    queue %[echo "-----> Migrating database"]
    execute 'bundle exec rake db:migrate'

    queue %[echo "-----> Populate database with db/seeds.rb"]
    execute 'bundle exec rake db:seed'

    queue %[echo "----------> Pre compiling assets"]
    execute 'bundle exec rake assets:precompile'
  end
end